package ru.yandex.autotests.direct.fakebsproxy.beans.moderate;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

import java.util.List;

public class DisplayHrefData extends BaseBean<DisplayHrefData> {

    @SerializedName("email")
    private String email;
    @SerializedName("fio")
    private String fio;
    @SerializedName("spellingAutoCorrect")
    private Integer spellingAutoCorrect;
    @SerializedName("name")
    private String name;
    @SerializedName("login")
    private String login;
    @SerializedName("sitelinks_set_id")
    private Long sitelinksSetId;
    @SerializedName("href")
    private String href;
    @SerializedName("title")
    private String title;
    @SerializedName("geo")
    private Object geo;
//    private List<Geo> geo;
    @SerializedName("domain")
    private String domain;
    @SerializedName("geo_text")
    private String geoText;
    @SerializedName("body")
    private String body;
    @SerializedName("uid")
    private Long uid;
    @SerializedName("lang")
    private String lang;
    @SerializedName("display_href")
    private String displayHref;
    @SerializedName("phrases")
    private List<Phrase> phrases;
    @SerializedName("has_dynamic")
    private Integer hasDynamic;
    @SerializedName("has_retargeting")
    private Integer hasRetargeting;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public DisplayHrefData withEmail(String email) {
        this.email = email;
        return this;
    }

    public String getFio() {
        return fio;
    }

    public void setFio(String fio) {
        this.fio = fio;
    }

    public DisplayHrefData withFio(String fio) {
        this.fio = fio;
        return this;
    }

    public Integer getSpellingAutoCorrect() {
        return spellingAutoCorrect;
    }

    public void setSpellingAutoCorrect(Integer spellingAutoCorrect) {
        this.spellingAutoCorrect = spellingAutoCorrect;
    }

    public DisplayHrefData withSpellingAutoCorrect(Integer spellingAutoCorrect) {
        this.spellingAutoCorrect = spellingAutoCorrect;
        return this;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DisplayHrefData withName(String name) {
        this.name = name;
        return this;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public DisplayHrefData withLogin(String login) {
        this.login = login;
        return this;
    }

    public Long getSitelinksSetId() {
        return sitelinksSetId;
    }

    public void setSitelinksSetId(Long sitelinksSetId) {
        this.sitelinksSetId = sitelinksSetId;
    }

    public DisplayHrefData withSitelinksSetId(Long sitelinksSetId) {
        this.sitelinksSetId = sitelinksSetId;
        return this;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public DisplayHrefData withHref(String href) {
        this.href = href;
        return this;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public DisplayHrefData withTitle(String title) {
        this.title = title;
        return this;
    }
//
//    public List<Geo> getGeo() {
//        return geo;
//    }
//
//    public void setGeo(List<Geo> geo) {
//        this.geo = geo;
//    }
//
//    public Data withGeo(List<Geo> geo) {
//        this.geo = geo;
//        return this;
//    }

    public Object getGeo() {
        return geo;
    }

    public void setGeo(Object geo) {
        this.geo = geo;
    }

    public DisplayHrefData withGeo(Object geo) {
        this.geo = geo;
        return this;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public DisplayHrefData withDomain(String domain) {
        this.domain = domain;
        return this;
    }

    public String getGeoText() {
        return geoText;
    }

    public void setGeoText(String geoText) {
        this.geoText = geoText;
    }

    public DisplayHrefData withGeoText(String geoText) {
        this.geoText = geoText;
        return this;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public DisplayHrefData withBody(String body) {
        this.body = body;
        return this;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public DisplayHrefData withUid(Long uid) {
        this.uid = uid;
        return this;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    public DisplayHrefData withLang(String lang) {
        this.lang = lang;
        return this;
    }

    public String getDisplayHref() {
        return displayHref;
    }

    public void setDisplayHref(String displayHref) {
        this.displayHref = displayHref;
    }

    public DisplayHrefData withDisplayHref(String displayHref) {
        this.displayHref = displayHref;
        return this;
    }

    public List<Phrase> getPhrases() {
        return phrases;
    }

    public void setPhrases(List<Phrase> phrases) {
        this.phrases = phrases;
    }

    public DisplayHrefData withPhrases(List<Phrase> phrases) {
        this.phrases = phrases;
        return this;
    }

    public Integer getHasDynamic() {
        return hasDynamic;
    }

    public void setHasDynamic(Integer hasDynamic) {
        this.hasDynamic = hasDynamic;
    }

    public DisplayHrefData withHasDynamic(Integer hasDynamic) {
        this.hasDynamic = hasDynamic;
        return this;
    }

    public Integer getHasRetargeting() {
        return hasRetargeting;
    }

    public void setHasRetargeting(Integer hasRetargeting) {
        this.hasRetargeting = hasRetargeting;
    }

    public DisplayHrefData withHasRetargeting(Integer hasRetargeting) {
        this.hasRetargeting = hasRetargeting;
        return this;
    }

}